# 文字コードはＵＴＦ－８、改行コードはＬＦのみ
# $Id: Echo.pm 138 2009-04-23 16:34:52Z umezawa $

package KotoriBot::Plugin::Echo;

use strict;
use warnings;
use utf8;

use KotoriBot::Plugin;

our @ISA = qw(KotoriBot::Plugin);

sub on_public($$) {
	my($self, $who, $message) = @_;
	my $channel = $self->{channel};

	if ($message =~ /^(echo|public|notice):(.*)$/i) {
		my($type, $msg) = ($1, $2);

		if ($type eq "notice") {
			$channel->notice($msg);
		} else {
			$channel->public($msg);
		}
	}
}

###############################################################################

return 1;
